[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rawhide report: 20070206 changes



Dnia 06-02-2007, wto o godzinie 06:03 -0500, buildsys redhat com
napisał(a):
[..]
> GConf2-2.16.0-6.fc7
> -------------------
> * Mon Feb 05 2007 Matthias Clasen <mclasen redhat com> - 2.16.0-6
> - Split off a -gtk subpackage to reduce dependencies 

IMO this split is kind of nonsens. Even if this split have some sense it
is not all/it is buggy.

Why this split is buggy ? Because gnome-session requires and uses
gconf-sanity-check-2 program (IIRC check for availability in build
enviromet for gconf-sanity-check-2 is performed in autoconf suit of
gnome-session and grep on gnome-session will show from where it is
runed/used by gnome-session).
So .. this split without add "Requires: GConf2-gtk" and "BuildRequires:
GConf2-gtk" to gnome-session is plain bug.

Why this split is kind of nonsens ? Because IIRC there is no program
which uses GConf2 and not uses gtk+.

So .. if there is no packages which uses GConf2 and not uses gtk+ ..
better will be reverte this split and keep gconf-sanity-check-2 in
GConf2 binary package.

kloczek


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]